echo #ifndef _EUTERPE_GIT_SHA1_H_>..\..\src\euterpe\git_sha1.h
echo #define _EUTERPE_GIT_SHA1_H_>>..\..\src\euterpe\git_sha1.h
echo.>>..\..\src\euterpe\git_sha1.h
echo|set /p ="#define GIT_SHA1 ">>..\..\src\euterpe\git_sha1.h
set nogit=0000000000000000000000000000000000000000
git rev-parse HEAD>>..\..\src\euterpe\git_sha1.h
if %errorlevel% neq 0 (echo %nogit%>>..\..\src\euterpe\git_sha1.h)
echo.>>..\..\src\euterpe\git_sha1.h
echo #endif // _EUTERPE_GIT_SHA1_H_>>..\..\src\euterpe\git_sha1.h
